Bug 608163 - [abrt] crash in evolution-2.30.1-8
[abrt] crash in evolution-2.30.1-8
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:cbfd3bf64dff635c69f25a52b9a...
:
: 557462 557750 563290 574142 577337 583570 584858 585192 595824 597224 597237 597367 598717 600309 600541 600848 602488 603756 603880 604426 605350 605412 605762 606041 606218 606338 606502 606780 607165 608896 608926 609009 609670 610326 613718 614429 615042 616308 616550 616836 621311 622131 622815 625675 625826 628010 630427 634694 634796 635584 639966 641897 642889 644848 648451 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-25 16:48 EDT by Linuxguy123
Modified: 2011-06-27 14:56 EDT (History)
49 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:56:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (86.17 KB, text/plain)
2010-06-25 16:48 EDT, Linuxguy123
no flags Details
abrt trace (115.95 KB, text/plain)
2010-06-25 17:53 EDT, Linuxguy123
no flags Details
Another one (57.09 KB, text/plain)
2010-06-25 18:34 EDT, Linuxguy123
no flags Details

  None (edit)
Description Linuxguy123 2010-06-25 16:48:40 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/evolution
comment: I think it might be more prone to crash after its sent a document.
component: evolution
crash_function: magazine_chain_pop_head
executable: /usr/bin/evolution
global_uuid: cbfd3bf64dff635c69f25a52b9ac7d68a5c4cddb
kernel: 2.6.33.5-124.fc13.i686.PAE
package: evolution-2.30.1-8.fc13
rating: 4
reason: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Start evolution.    Send/receive.
2. Leave it sit open while I work on something else.
3.
Comment 1 Linuxguy123 2010-06-25 16:48:43 EDT
Created attachment 426987 [details]
File: backtrace
Comment 2 Linuxguy123 2010-06-25 16:59:28 EDT
It will crash a dozen times in a day of working at my computer.  

Evolution was perfectly stable in F12.  This all started with the upgrade to F13.

Some of my email folders have in excess of 200K messages in them.

These days evolution generally just starts right up again.  When it was first crashing in F13, I had to do an evolution --force-shutdown to get it to run again.

Everything else is stable on my computer.
$ uname -a
Linux localhost.localdomain 2.6.33.5-124.fc13.i686.PAE #1 SMP Fri Jun 11 09:42:24 UTC 2010 i686 i686 i386 GNU/Linux

Firefox wasn't stable when I first upgraded, but it is now.

I did a yum remove \*evolution\* and then a yum install evolution. 

Let me know if you need anything else.
Comment 3 Linuxguy123 2010-06-25 17:53:13 EDT
Created attachment 427005 [details]
abrt trace

It did it again, a couple times.  Here is the trace from the last one.

BTW: It would be nice if ABRT had some means to allow the user to attach a trace to an existing bug.
Comment 4 Linuxguy123 2010-06-25 18:34:57 EDT
Created attachment 427010 [details]
Another one

Here is another crash trace.
Comment 5 Milan Crha 2010-06-28 08:55:15 EDT
Thanks for a bug report. Each backtrace is different, the first seems like something not much related to evolution itself, "only" possible some memory issue caused by Evolution; the second comes from gnome-key-ring, and the third is from evolution, but as you do not have installed debug info packages for evolution, then it doesn't show line numbers for code in evolution. But maybe they all are related to the same issue, I do not know yet.

Could you install debug info packages for gtkhtml3, evolution-data-server, evolution and if you use also evolution-exchange and evolution-mapi, and then run evolution as follows, please?

   $ G_SLICE=always-malloc valgrind evolution &>evo.log

And upload here a result of your crashing evolution, together with exact version numbers of installed evolution-data-server and evolution and other packages you'll install debug information for, please? Also make sure the evo.log file you'll upload here will not contain any private information, even this kind of log usually doesn't contain any. Thanks in advance.
Comment 6 Linuxguy123 2010-06-28 17:11:13 EDT
I don't want to say this too hastily, but I think its solved.

According to ABRT, the last crash I had was Saturday, June 26th at 1:35 PM.

According to /var/log/yum.log, the following packages were installed later that day.

Jun 26 21:54:45 Updated: gnome-keyring-2.30.3-1.fc13.i686
Jun 26 21:54:46 Updated: gtkhtml3-3.30.2-1.fc13.i686
Jun 26 21:54:48 Updated: evolution-data-server-2.30.2-2.fc13.i686
Jun 26 21:54:48 Updated: baekmuk-ttf-fonts-common-2.2-29.fc13.noarch
Jun 26 21:54:51 Updated: baekmuk-ttf-dotum-fonts-2.2-29.fc13.noarch
Jun 26 21:54:54 Updated: baekmuk-ttf-gulim-fonts-2.2-29.fc13.noarch
Jun 26 21:54:57 Updated: baekmuk-ttf-hline-fonts-2.2-29.fc13.noarch
Jun 26 21:55:00 Updated: baekmuk-ttf-batang-fonts-2.2-29.fc13.noarch
Jun 26 21:55:01 Updated: baekmuk-ttf-fonts-ghostscript-2.2-29.fc13.noarch
Jun 26 21:55:01 Updated: gnome-keyring-devel-2.30.3-1.fc13.i686
Jun 26 21:55:03 Updated: python-foolscap-0.5.1-1.fc13.noarch
Jun 26 21:55:20 Updated: evolution-2.30.2-1.fc13.i686
Jun 26 21:55:20 Updated: gnome-keyring-pam-2.30.3-1.fc13.i686

When I refreshed evolution the day previous to that, I had the following:

Jun 25 10:30:15 Installed: evolution-data-server-2.30.1-2.fc13.i686
Jun 25 10:30:21 Installed: evolution-2.30.1-8.fc13.i686

Evolution went from 2.30.1-8 to 2.30.2-2 and gnome-keyring was bumped as well. 

I think its been totally solid since the update on June 26th.

I'll monitor the situation and perform the steps you requested should it crash again.

Thanks for giving my bug report some attention.  ABRT rules !
Comment 7 Karel Klíč 2010-11-08 13:42:44 EST
*** Bug 574142 has been marked as a duplicate of this bug. ***
Comment 8 Karel Klíč 2010-11-08 13:42:48 EST
*** Bug 597224 has been marked as a duplicate of this bug. ***
Comment 9 Karel Klíč 2010-11-08 13:42:53 EST
*** Bug 597237 has been marked as a duplicate of this bug. ***
Comment 10 Karel Klíč 2010-11-08 13:42:57 EST
*** Bug 597367 has been marked as a duplicate of this bug. ***
Comment 11 Karel Klíč 2010-11-08 13:43:02 EST
*** Bug 598717 has been marked as a duplicate of this bug. ***
Comment 12 Karel Klíč 2010-11-08 13:43:07 EST
*** Bug 600309 has been marked as a duplicate of this bug. ***
Comment 13 Karel Klíč 2010-11-08 13:43:12 EST
*** Bug 600541 has been marked as a duplicate of this bug. ***
Comment 14 Karel Klíč 2010-11-08 13:43:16 EST
*** Bug 600848 has been marked as a duplicate of this bug. ***
Comment 15 Karel Klíč 2010-11-08 13:43:21 EST
*** Bug 602488 has been marked as a duplicate of this bug. ***
Comment 16 Karel Klíč 2010-11-08 13:43:26 EST
*** Bug 603880 has been marked as a duplicate of this bug. ***
Comment 17 Karel Klíč 2010-11-08 13:43:31 EST
*** Bug 604426 has been marked as a duplicate of this bug. ***
Comment 18 Karel Klíč 2010-11-08 13:43:35 EST
*** Bug 605350 has been marked as a duplicate of this bug. ***
Comment 19 Karel Klíč 2010-11-08 13:43:43 EST
*** Bug 605762 has been marked as a duplicate of this bug. ***
Comment 20 Karel Klíč 2010-11-08 13:43:48 EST
*** Bug 606041 has been marked as a duplicate of this bug. ***
Comment 21 Karel Klíč 2010-11-08 13:43:53 EST
*** Bug 606218 has been marked as a duplicate of this bug. ***
Comment 22 Karel Klíč 2010-11-08 13:43:57 EST
*** Bug 606338 has been marked as a duplicate of this bug. ***
Comment 23 Karel Klíč 2010-11-08 13:44:03 EST
*** Bug 606780 has been marked as a duplicate of this bug. ***
Comment 24 Karel Klíč 2010-11-08 13:44:07 EST
*** Bug 607165 has been marked as a duplicate of this bug. ***
Comment 25 Karel Klíč 2010-11-08 13:44:12 EST
*** Bug 608896 has been marked as a duplicate of this bug. ***
Comment 26 Karel Klíč 2010-11-08 13:44:17 EST
*** Bug 608926 has been marked as a duplicate of this bug. ***
Comment 27 Karel Klíč 2010-11-08 13:44:21 EST
*** Bug 609009 has been marked as a duplicate of this bug. ***
Comment 28 Karel Klíč 2010-11-08 13:44:26 EST
*** Bug 609670 has been marked as a duplicate of this bug. ***
Comment 29 Karel Klíč 2010-11-08 13:44:30 EST
*** Bug 610326 has been marked as a duplicate of this bug. ***
Comment 30 Karel Klíč 2010-11-08 13:44:35 EST
*** Bug 613718 has been marked as a duplicate of this bug. ***
Comment 31 Karel Klíč 2010-11-08 13:44:40 EST
*** Bug 614429 has been marked as a duplicate of this bug. ***
Comment 32 Karel Klíč 2010-11-08 13:44:44 EST
*** Bug 616308 has been marked as a duplicate of this bug. ***
Comment 33 Karel Klíč 2010-11-08 13:44:49 EST
*** Bug 616550 has been marked as a duplicate of this bug. ***
Comment 34 Karel Klíč 2010-11-08 13:44:53 EST
*** Bug 616836 has been marked as a duplicate of this bug. ***
Comment 35 Karel Klíč 2010-11-08 13:44:58 EST
*** Bug 621311 has been marked as a duplicate of this bug. ***
Comment 36 Karel Klíč 2010-11-08 13:45:03 EST
*** Bug 622131 has been marked as a duplicate of this bug. ***
Comment 37 Karel Klíč 2010-11-08 13:45:08 EST
*** Bug 622815 has been marked as a duplicate of this bug. ***
Comment 38 Karel Klíč 2010-11-08 13:45:13 EST
*** Bug 625675 has been marked as a duplicate of this bug. ***
Comment 39 Karel Klíč 2010-11-08 13:45:18 EST
*** Bug 628010 has been marked as a duplicate of this bug. ***
Comment 40 Karel Klíč 2010-11-08 13:45:23 EST
*** Bug 630427 has been marked as a duplicate of this bug. ***
Comment 41 Karel Klíč 2010-11-08 13:45:28 EST
*** Bug 634694 has been marked as a duplicate of this bug. ***
Comment 42 Karel Klíč 2010-11-08 13:45:33 EST
*** Bug 634796 has been marked as a duplicate of this bug. ***
Comment 43 Karel Klíč 2010-11-08 13:45:38 EST
*** Bug 639966 has been marked as a duplicate of this bug. ***
Comment 44 Karel Klíč 2010-11-08 13:45:42 EST
*** Bug 641897 has been marked as a duplicate of this bug. ***
Comment 45 Karel Klíč 2010-11-08 13:45:47 EST
*** Bug 642889 has been marked as a duplicate of this bug. ***
Comment 46 Karel Klíč 2010-11-08 13:45:52 EST
*** Bug 644848 has been marked as a duplicate of this bug. ***
Comment 47 Karel Klíč 2010-11-08 13:45:59 EST
*** Bug 648451 has been marked as a duplicate of this bug. ***
Comment 48 Karel Klíč 2010-11-08 13:46:03 EST
*** Bug 557462 has been marked as a duplicate of this bug. ***
Comment 49 Karel Klíč 2010-11-08 13:46:09 EST
*** Bug 557750 has been marked as a duplicate of this bug. ***
Comment 50 Karel Klíč 2010-11-08 13:46:14 EST
*** Bug 563290 has been marked as a duplicate of this bug. ***
Comment 51 Karel Klíč 2010-11-08 13:46:18 EST
*** Bug 577337 has been marked as a duplicate of this bug. ***
Comment 52 Karel Klíč 2010-11-08 13:46:23 EST
*** Bug 583570 has been marked as a duplicate of this bug. ***
Comment 53 Karel Klíč 2010-11-08 13:46:28 EST
*** Bug 584858 has been marked as a duplicate of this bug. ***
Comment 54 Karel Klíč 2010-11-08 13:46:32 EST
*** Bug 585192 has been marked as a duplicate of this bug. ***
Comment 55 Karel Klíč 2010-11-08 13:46:37 EST
*** Bug 595824 has been marked as a duplicate of this bug. ***
Comment 56 Karel Klíč 2010-11-08 13:46:42 EST
*** Bug 603756 has been marked as a duplicate of this bug. ***
Comment 57 Karel Klíč 2010-11-08 13:46:47 EST
*** Bug 605412 has been marked as a duplicate of this bug. ***
Comment 58 Karel Klíč 2010-11-08 13:46:51 EST
*** Bug 606502 has been marked as a duplicate of this bug. ***
Comment 59 Karel Klíč 2010-11-08 13:46:56 EST
*** Bug 615042 has been marked as a duplicate of this bug. ***
Comment 60 Karel Klíč 2010-11-08 13:47:01 EST
*** Bug 625826 has been marked as a duplicate of this bug. ***
Comment 61 Karel Klíč 2010-11-08 13:47:06 EST
*** Bug 635584 has been marked as a duplicate of this bug. ***
Comment 62 Bug Zapper 2011-06-01 11:34:17 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 63 Bug Zapper 2011-06-27 14:56:55 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.